Debian Bug report logs - #580601
[drm/i915] flickering and artifacts on (some?) gm45 with powersave

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>

Date: Fri, 7 May 2010 02:27:01 UTC

Severity: important

Tags: fixed-upstream, upstream

Merged with 582877, 601997

Found in versions linux-2.6/2.6.36-1~experimental.1, 2.6.32-12, 2.6.34-1~experimental.1

Fixed in version linux-2.6/2.6.37-1~experimental.1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=27589

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, fernandotcl@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#580601; Package xserver-xorg-core. (Fri, 07 May 2010 02:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>:
New Bug report received and forwarded. Copy sent to fernandotcl@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 07 May 2010 02:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-core: Flickering and artifacts after update, using intel driver
Date: Thu, 06 May 2010 23:22:24 -0300
Package: xserver-xorg-core
Version: 2:1.7.7-1
Severity: important


I've recently noticed random flickering and artifacts on screen recently. This is a Dell Vostro 1014 notebook sporting Intel integrated graphics.

lspci says:

00:02.0 0300: 8086:2a42 (rev 07) (prog-if 00 [VGA controller])
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])

I believe this is related to xserver-xorg-core because it has been recently updated (notice how xserver-xorg-video-intel hasn't been updated recently):

$ grep xserver /var/log/dpkg.log | sed -e 's/.*\(xserver-[^ ]\+\) .*/\1/' | sort | uniq 
xserver-common
xserver-xorg-core
xserver-xorg-video-apm
xserver-xorg-video-ark
.... snip ... (some xserver-xorg-video-* drivers here, but NOT intel)


I can't reproduce the issue consistently, it seems random. Some times it won't appear for several minutes, but some times it happens several times in a short period. Right now it's happened about 4 or 5 times during the time it took me to write this bug report so far. It seems to be more common when I'm typing, but maybe it's just me paying more attention to the screen. Also, I've never seen it happening when I'm playing a movie with mplayer, for example. I don't think it's related to a single program, though. I'm positve I've seen this on xterm and gvim windows. I took a look at dmesg, /var/log/messages and Xorg.log, but couldn't find anything remotely related to the issue.

This is how I would describe what I see on screen. It looks like some horizontal lines contain garbage from uninitialized video RAM for a single frame. Some times it's just a couple lines close together. In other situations the lines are more distant from each other. But only a portion of the screen (maybe something between 10% and 30% of the screen height) is affected. In one occasion I was able to tell the garbage included this xterm window. It seems to me that it's just a single frame getting corrupted, because the artifacts remain on screen for a really short period of time. Looks like some sort of memory corruption to me.

I don't believe it's the window manager because it was fine after its last update. Only very recently I've been noticing this. Also, I rule out hardware problems because this doesn't happen when I boot into Windows. It could be related to the recent kernel upgrade too (32-3 to 32-5), but I don't have the old kernel to test and the changelog doesn't mention anything relevant either.

I don't run compiz or anything like that for composition. My window manager is i3-wm. I do use KMS, though (grub sets the video mode and the kernel picks it up to set up KMS). The display resolution is 1366x768.

I looked for bug reports filed against linux-image-2.6.32-5 and libX11, but found nothing relevant. I'm willing to perform whatever tests you guys might need in order to find the root of this problem.

TIA


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Feb 23 21:36 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1877152 May  4 13:26 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1392 Apr  9 19:52 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
Section "InputDevice"
    Identifier  "Keyboard0"
    Driver      "kbd"
EndSection

Section "InputDevice"
    Identifier  "Mouse0"
    Driver      "synaptics"
    Option      "Protocol"              "auto-dev"
    Option      "Device"                "/dev/input/mice"
    Option      "ZAxisMapping"          "4 5 6 7"

    Option      "SHMConfig"             "1"

    Option      "TapButton1"            "1"
    Option      "FastTaps"              "1"

    Option      "LeftEdge"              "120"
    Option      "RightEdge"             "880"
    Option      "TopEdge"               "120"
    Option      "BottomEdge"            "630"

    Option      "VertEdgeScroll"        "1"
    Option      "VertScrollDelta"       "25"
    Option      "HorizEdgeScroll"       "1"
    Option      "HorizScrollDelta"      "7"

    Option      "AccelFactor"           "0.3"
    Option      "MinSpeed"              "0.2"
    Option      "MaxSpeed"              "0.6"
EndSection

Section "Monitor"
    Identifier  "Monitor0"
EndSection

Section "Device"
    Identifier  "Card0"
    Driver      "intel"
EndSection

Section "Screen"
    Identifier "Screen0"
    Device     "Card0"
    Monitor    "Monitor0"
EndSection

Section "ServerLayout"
    Identifier     "X.org Configured"
    Screen         "Screen0"
    InputDevice    "Mouse0" "CorePointer"
    InputDevice    "Keyboard0" "CoreKeyboard"
EndSection


Kernel version (/proc/version):
Linux version 2.6.32-5-amd64 (Debian 2.6.32-12) (ben@decadent.org.uk) (gcc version 4.3.4 (Debian 4.3.4-10) ) #1 SMP Mon May 3 10:42:25 UTC 2010

Xorg X server log files on system:
-rw-r--r-- 1 root root 29338 May  6 22:49 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.26-2-amd64 x86_64 Debian
Current Operating System: Linux vostro 2.6.32-5-amd64 #1 SMP Mon May 3 10:42:25 UTC 2010 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 root=UUID=f1a54db4-f0ca-480f-af24-199ef936d4ae ro quiet
Build Date: 04 May 2010  04:21:17PM
xorg-server 2:1.7.7-1 (Julien Cristau <jcristau@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu May  6 22:49:09 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) ServerLayout "X.org Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Card0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/misc" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/100dpi,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
(WW) Disabling Keyboard0
(II) Loader magic: 0x7c43e0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(WW) xf86OpenConsole: setpgid failed: Operation not permitted
(WW) xf86OpenConsole: setsid failed: Operation not permitted
(--) PCI:*(0:0:2:0) 8086:2a42:1028:0401 Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller rev 7, Mem @ 0xf6c00000/4194304, 0xe0000000/268435456, I/O @ 0x0000efe8/8
(--) PCI: (0:0:2:1) 8086:2a43:1028:0401 Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller rev 7, Mem @ 0xf6b00000/1048576
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.7.5.902, module version = 2.9.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, Clarkdale, Arrandale
(II) Primary Device is: PCI 00@00:02:0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: drmOpenMinor returns 9
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) intel(0): Creating default Display subsection in Screen section
	"Screen0" for depth/fbbpp 24/32
(==) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) GM45
(--) intel(0): Chipset: "GM45"
(II) intel(0): Output VGA1 using monitor section Monitor0
(II) intel(0): Output LVDS1 has no monitor section
(II) intel(0): Output DP1 has no monitor section
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: LGD  Model: 247  Serial#: 0
(II) intel(0): Year: 2009  Week: 0
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 31  vert.: 17
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.618 redY: 0.355   greenX: 0.330 greenY: 0.584
(II) intel(0): blueX: 0.145 blueY: 0.094   whiteX: 0.313 whiteY: 0.329
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 72.3 MHz   Image Size:  310 x 174 mm
(II) intel(0): h_active: 1366  h_sync: 1414  h_sync_end 1446 h_blank_end 1526 h_border: 0
(II) intel(0): v_active: 768  v_sync: 771  v_sync_end 776 v_blanking: 790 v_border: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 72.3 MHz   Image Size:  310 x 174 mm
(II) intel(0): h_active: 1366  h_sync: 1414  h_sync_end 1446 h_blank_end 1526 h_border: 0
(II) intel(0): v_active: 768  v_sync: 771  v_sync_end 776 v_blanking: 790 v_border: 0
(II) intel(0):  T918R�140WH1
(II) intel(0): Unknown vendor-specific block 0
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff0030e4470200000000
(II) intel(0): 	00130103801f11780a4a059e5b549525
(II) intel(0): 	18505400000001010101010101010101
(II) intel(0): 	0101010101013e1c56a0500016303020
(II) intel(0): 	350036ae100000193e1c56a050001630
(II) intel(0): 	3020350036ae10000019000000fe0054
(II) intel(0): 	39313852803134305748310a00000000
(II) intel(0): 	00ffffffffffffffff01010a202000d5
(II) intel(0): Not using default mode "320x175" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x200" (doublescan mode not supported)
(II) intel(0): Not using default mode "360x200" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "1024x768" (interlace mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
(II) intel(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
(II) intel(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
(II) intel(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "416x312" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "1360x768" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1440x900" (exceeds panel dimensions)
(II) intel(0): Not using default mode "720x450" (doublescan mode not supported)
(II) intel(0): Not using default mode "1600x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "800x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1080" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "960x540" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1200" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "960x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1366x768"x60.0   72.30  1366 1414 1446 1526  768 771 776 790 -hsync -vsync (47.4 kHz)
(II) intel(0): Modeline "1360x768"x59.8   84.75  1360 1432 1568 1776  768 771 781 798 -hsync +vsync (47.7 kHz)
(II) intel(0): Modeline "1024x768"x85.0   94.50  1024 1072 1168 1376  768 769 772 808 +hsync +vsync (68.7 kHz)
(II) intel(0): Modeline "1024x768"x75.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
(II) intel(0): Modeline "1024x768"x70.1   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "832x624"x74.6   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz)
(II) intel(0): Modeline "800x600"x85.1   56.30  800 832 896 1048  600 601 604 631 +hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x85.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz)
(II) intel(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x85.0   35.50  720 756 828 936  400 401 404 446 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x400"x85.1   31.50  640 672 736 832  400 401 404 445 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x350"x85.1   31.50  640 672 736 832  350 382 385 445 +hsync -vsync (37.9 kHz)
(II) intel(0): EDID for output DP1
(II) intel(0): Output VGA1 disconnected
(II) intel(0): Output LVDS1 connected
(II) intel(0): Output DP1 disconnected
(II) intel(0): Using exact sizes for initial modes
(II) intel(0): Output LVDS1 using initial mode 1366x768
(II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(==) intel(0): video overlay key set to 0x101fe
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(==) Depth 24 pixmap format is 32 bpp
(II) intel(0): [DRI2] Setup complete
(**) intel(0): Kernel mode setting active, disabling FBC.
(**) intel(0): Framebuffer compression disabled
(**) intel(0): Tiling enabled
(**) intel(0): SwapBuffers wait enabled
(==) intel(0): VideoRam: 262144 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(II) intel(0): Tiled allocation successful.
(II) UXA(0): Driver registered support for the following operations:
(II)         solid
(II)         copy
(II)         composite (RENDER acceleration)
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): No memory allocations
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(==) intel(0): DPMS enabled
(==) intel(0): Intel XvMC decoder disabled
(II) intel(0): Set up textured video
(II) intel(0): direct rendering: DRI2 Enabled
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_make_current_read
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
(II) AIGLX: Loaded and initialized /usr/lib/dri/i965_dri.so
(II) GLX: Initialized DRI2 GL provider for screen 0
(II) intel(0): Setting screen physical size to 361 x 203
(II) Synaptics touchpad driver version 1.2.2
(--) Mouse0 auto-dev sets device to /dev/input/event7
(**) Option "Device" "/dev/input/event7"
(II) Mouse0: x-axis range 0 - 1023
(II) Mouse0: y-axis range 0 - 767
(II) Mouse0: pressure range 0 - 127
(II) Mouse0: finger width range 0 - 0
(II) Mouse0: buttons: left right middle
(**) Option "SHMConfig" "1"
(**) Option "LeftEdge" "120"
(**) Option "RightEdge" "880"
(**) Option "TopEdge" "120"
(**) Option "BottomEdge" "630"
(**) Option "FastTaps" "1"
(**) Option "VertScrollDelta" "25"
(**) Option "HorizScrollDelta" "7"
(**) Option "VertEdgeScroll" "1"
(**) Option "HorizEdgeScroll" "1"
(**) Option "TapButton1" "1"
(**) Option "MinSpeed" "0.2"
(**) Option "MaxSpeed" "0.6"
(**) Option "AccelFactor" "0.3"
(--) Mouse0: touchpad found
(**) Option "CorePointer"
(**) Mouse0: always reports core events
(II) XINPUT: Adding extended input device "Mouse0" (type: TOUCHPAD)
(**) Mouse0: (accel) keeping acceleration scheme 1
(**) Mouse0: (accel) acceleration profile 0
(**) Mouse0: (accel) acceleration factor: 2.000
(**) Mouse0: (accel) acceleration threshold: 4
(--) Mouse0: touchpad found
(II) config/udev: Adding input device Video Bus (/dev/input/event9)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event9"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "dell"
(**) Option "xkb_layout" "br"
(**) Option "xkb_variant" "abnt2"
(II) config/udev: Adding input device Video Bus (/dev/input/event10)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event10"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "dell"
(**) Option "xkb_layout" "br"
(**) Option "xkb_variant" "abnt2"
(II) config/udev: Adding input device Power Button (/dev/input/event3)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event3"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "dell"
(**) Option "xkb_layout" "br"
(**) Option "xkb_variant" "abnt2"
(II) config/udev: Adding input device Lid Switch (/dev/input/event2)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Sleep Button (/dev/input/event4)
(**) Sleep Button: Applying InputClass "evdev keyboard catchall"
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event4"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "dell"
(**) Option "xkb_layout" "br"
(**) Option "xkb_variant" "abnt2"
(II) config/udev: Adding input device Integrated_Webcam_2M (/dev/input/event8)
(**) Integrated_Webcam_2M: Applying InputClass "evdev keyboard catchall"
(**) Integrated_Webcam_2M: always reports core events
(**) Integrated_Webcam_2M: Device: "/dev/input/event8"
(II) Integrated_Webcam_2M: Found keys
(II) Integrated_Webcam_2M: Configuring as keyboard
(II) XINPUT: Adding extended input device "Integrated_Webcam_2M" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "dell"
(**) Option "xkb_layout" "br"
(**) Option "xkb_variant" "abnt2"
(II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event1)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event1"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "dell"
(**) Option "xkb_layout" "br"
(**) Option "xkb_variant" "abnt2"
(II) config/udev: Adding input device PS/2 Mouse (/dev/input/event6)
(**) PS/2 Mouse: Applying InputClass "evdev pointer catchall"
(**) PS/2 Mouse: always reports core events
(**) PS/2 Mouse: Device: "/dev/input/event6"
(II) PS/2 Mouse: Found 3 mouse buttons
(II) PS/2 Mouse: Found relative axes
(II) PS/2 Mouse: Found x and y relative axes
(II) PS/2 Mouse: Configuring as mouse
(**) PS/2 Mouse: YAxisMapping: buttons 4 and 5
(**) PS/2 Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "PS/2 Mouse" (type: MOUSE)
(II) PS/2 Mouse: initialized for relative axes.
(II) config/udev: Adding input device PS/2 Mouse (/dev/input/mouse1)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device AlpsPS/2 ALPS GlidePoint (/dev/input/event7)
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "evdev pointer catchall"
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "evdev touchpad catchall"
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "touchpad catchall"
(II) Synaptics touchpad driver version 1.2.2
(**) Option "Device" "/dev/input/event7"
(--) AlpsPS/2 ALPS GlidePoint: no supported touchpad found
(EE) AlpsPS/2 ALPS GlidePoint Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "AlpsPS/2 ALPS GlidePoint"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device AlpsPS/2 ALPS GlidePoint (/dev/input/mouse2)
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "touchpad catchall"
(II) Synaptics touchpad driver version 1.2.2
AlpsPS/2 ALPS GlidePoint no synaptics event device found
(**) Option "Device" "/dev/input/mouse2"
Query no Synaptics: 6003C8
(--) AlpsPS/2 ALPS GlidePoint: no supported touchpad found
(EE) AlpsPS/2 ALPS GlidePoint Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "AlpsPS/2 ALPS GlidePoint"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device PC Speaker (/dev/input/event5)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Macintosh mouse button emulation (/dev/input/event0)
(**) Macintosh mouse button emulation: Applying InputClass "evdev pointer catchall"
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event0"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found relative axes
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
(II) Macintosh mouse button emulation: initialized for relative axes.
(II) config/udev: Adding input device Macintosh mouse button emulation (/dev/input/mouse0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event11)
(**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
(**) ACPI Virtual Keyboard Device: always reports core events
(**) ACPI Virtual Keyboard Device: Device: "/dev/input/event11"
(II) ACPI Virtual Keyboard Device: Found keys
(II) ACPI Virtual Keyboard Device: Configuring as keyboard
(II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "dell"
(**) Option "xkb_layout" "br"
(**) Option "xkb_variant" "abnt2"

udev information:
P: /devices/virtual/input/input0/event0
N: input/event0
S: char/13:64
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/char/13:64

P: /devices/platform/i8042/serio0/input/input1/event1
N: input/event1
S: char/13:65
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=dell
E: XKBLAYOUT=br
E: XKBVARIANT=abnt2
E: DEVLINKS=/dev/char/13:65 /dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:01/input/input10/event10
N: input/event10
S: char/13:74
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:01/input/input10/event10
E: MAJOR=13
E: MINOR=74
E: DEVNAME=/dev/input/event10
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=dell
E: XKBLAYOUT=br
E: XKBVARIANT=abnt2
E: DEVLINKS=/dev/char/13:74
E: DMI_VENDOR=Dell Inc.

P: /devices/virtual/input/input11/event11
N: input/event11
S: char/13:75
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input11/event11
E: MAJOR=13
E: MINOR=75
E: DEVNAME=/dev/input/event11
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=dell
E: XKBLAYOUT=br
E: XKBVARIANT=abnt2
E: DEVLINKS=/dev/char/13:75
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/char/13:66

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=dell
E: XKBLAYOUT=br
E: XKBVARIANT=abnt2
E: DEVLINKS=/dev/char/13:67
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input4/event4
N: input/event4
S: char/13:68
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=dell
E: XKBLAYOUT=br
E: XKBVARIANT=abnt2
E: DEVLINKS=/dev/char/13:68
E: DMI_VENDOR=Dell Inc.

P: /devices/platform/pcspkr/input/input5/event5
N: input/event5
S: char/13:69
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/char/13:69 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/platform/i8042/serio1/input/input6/event6
N: input/event6
S: char/13:70
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input6/event6
E: MAJOR=13
E: MINOR=70
E: DEVNAME=/dev/input/event6
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/char/13:70 /dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input7/event7
N: input/event7
S: char/13:71
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input7/event7
E: MAJOR=13
E: MINOR=71
E: DEVNAME=/dev/input/event7
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/char/13:71 /dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/input/input8/event8
N: input/event8
S: char/13:72
S: input/by-id/usb-SuYin_Integrated_Webcam_2M-event-if00
S: input/by-path/pci-0000:00:1d.7-usb-0:5:1.0-event
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/input/input8/event8
E: MAJOR=13
E: MINOR=72
E: DEVNAME=/dev/input/event8
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_VENDOR=SuYin
E: ID_VENDOR_ENC=SuYin
E: ID_VENDOR_ID=064e
E: ID_MODEL=Integrated_Webcam_2M
E: ID_MODEL_ENC=Integrated_Webcam_2M
E: ID_MODEL_ID=8100
E: ID_REVISION=9409
E: ID_SERIAL=SuYin_Integrated_Webcam_2M
E: ID_TYPE=video
E: ID_BUS=usb
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=uvcvideo
E: ID_PATH=pci-0000:00:1d.7-usb-0:5:1.0
E: XKBMODEL=dell
E: XKBLAYOUT=br
E: XKBVARIANT=abnt2
E: DEVLINKS=/dev/char/13:72 /dev/input/by-id/usb-SuYin_Integrated_Webcam_2M-event-if00 /dev/input/by-path/pci-0000:00:1d.7-usb-0:5:1.0-event

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input9/event9
N: input/event9
S: char/13:73
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input9/event9
E: MAJOR=13
E: MINOR=73
E: DEVNAME=/dev/input/event9
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=dell
E: XKBLAYOUT=br
E: XKBVARIANT=abnt2
E: DEVLINKS=/dev/char/13:73
E: DMI_VENDOR=Dell Inc.

DRM Information from dmesg:
[    0.000000] No AGP bridge found
[    0.544830] Linux agpgart interface v0.103
[    0.544843] agpgart-intel 0000:00:00.0: Intel Mobile Intel® GM45 Express Chipset
[    0.545067] agpgart-intel 0000:00:00.0: detected 32764K stolen memory
[    0.571175] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000
[    5.019440] [drm] Initialized drm 1.1.0 20060810
[    5.380850] [drm] MTRR allocation failed.  Graphics performance may suffer.
[    5.380927] [drm] set up 31M of stolen space
[    6.061950] fb: conflicting fb hw usage inteldrmfb vs EFI VGA - removing generic driver
[    6.428038] fb0: inteldrmfb frame buffer device
[    6.430746] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-core depends on:
ii  keyboard-configuration       1.54        system-wide keyboard preferences
ii  libaudit0                    1.7.13-1+b1 Dynamic library for security audit
ii  libc6                        2.10.2-7    Embedded GNU C Library: Shared lib
ii  libdrm2                      2.4.18-5    Userspace interface to kernel DRM 
ii  libgcrypt11                  1.4.5-2     LGPL Crypto library - runtime libr
ii  libpciaccess0                0.11.0-2    Generic PCI access library for X
ii  libpixman-1-0                0.16.4-1    pixel-manipulation library for X a
ii  libselinux1                  2.0.94-1    SELinux runtime shared libraries
ii  libudev0                     153-2       libudev shared library
ii  libxau6                      1:1.0.5-2   X11 authorisation library
ii  libxdmcp6                    1:1.0.3-2   X11 Display Manager Control Protoc
ii  libxfont1                    1:1.4.1-2   X11 font rasterisation library
ii  udev                         153-2       /dev/ and hotplug management daemo
ii  xserver-common               2:1.7.7-1   common files used by various X ser
ii  xserver-xorg                 1:7.5+5     the X.Org X server

Versions of packages xserver-xorg-core recommends:
ii  libgl1-mesa-dri               7.7.1-1    A free implementation of the OpenG

Versions of packages xserver-xorg-core suggests:
ii  xfonts-100dpi                 1:1.0.1    100 dpi fonts for X
pn  xfonts-scalable               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#580601; Package xserver-xorg-core. (Sat, 22 May 2010 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fernando Lemos <fernandotcl@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 22 May 2010 18:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 580601@bugs.debian.org (full text, mbox):

From: Fernando Lemos <fernandotcl@gmail.com>
To: 580601@bugs.debian.org
Subject: Related to KMS in 2.6.32
Date: Sat, 22 May 2010 15:42:10 -0300
This problem seems to be related to KMS in 2.6.32:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/549989

(several similar reports can be found on other distro's bugtrackers)

Either disabling KMS entirely (i915.modeset = 0 in /etc/defaults/grub)
or disabling the powersave option (i915.powersave = 0) solves the
problem. It looks like a kernel bug in 2.6.32.

Please feel free to reassign or close this bug report as appropriate.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#580601; Package xserver-xorg-core. (Sat, 22 May 2010 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 22 May 2010 19:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 580601@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Fernando Lemos <fernandotcl@gmail.com>, 580601@bugs.debian.org
Subject: Re: Bug#580601: Related to KMS in 2.6.32
Date: Sat, 22 May 2010 21:09:16 +0200
On 22/05/2010 20:42, Fernando Lemos wrote:
> This problem seems to be related to KMS in 2.6.32:
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/549989
>
> (several similar reports can be found on other distro's bugtrackers)
>
> Either disabling KMS entirely (i915.modeset = 0 in /etc/defaults/grub)
> or disabling the powersave option (i915.powersave = 0) solves the
> problem. It looks like a kernel bug in 2.6.32.
>   

powersave is already disabled by default (see /etc/modprobe.d/i915-kms.conf)

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#580601; Package xserver-xorg-core. (Sat, 22 May 2010 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 22 May 2010 19:24:03 GMT) Full text and rfc822 format available.

Message #20 received at 580601@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>, 580601@bugs.debian.org
Cc: Fernando Lemos <fernandotcl@gmail.com>
Subject: Re: Bug#580601: Related to KMS in 2.6.32
Date: Sat, 22 May 2010 21:21:15 +0200
[Message part 1 (text/plain, inline)]
On Sat, May 22, 2010 at 21:09:16 +0200, Brice Goglin wrote:

> On 22/05/2010 20:42, Fernando Lemos wrote:
> > This problem seems to be related to KMS in 2.6.32:
> >
> > https://bugs.launchpad.net/ubuntu/+source/linux/+bug/549989
> >
> > (several similar reports can be found on other distro's bugtrackers)
> >
> > Either disabling KMS entirely (i915.modeset = 0 in /etc/defaults/grub)
> > or disabling the powersave option (i915.powersave = 0) solves the
> > problem. It looks like a kernel bug in 2.6.32.
> >   
> 
> powersave is already disabled by default (see /etc/modprobe.d/i915-kms.conf)
> 
err.  no it's not.

Fernando, do you still have this issue with 2.6.34 (from experimental)?
If it's fixed upstream it might be possible to backport the fix to
squeeze's kernel.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#580601; Package xserver-xorg-core. (Sat, 22 May 2010 20:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fernando Lemos <fernandotcl@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 22 May 2010 20:15:08 GMT) Full text and rfc822 format available.

Message #25 received at 580601@bugs.debian.org (full text, mbox):

From: Fernando Lemos <fernandotcl@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: Brice Goglin <Brice.Goglin@ens-lyon.org>, 580601@bugs.debian.org
Subject: Re: Bug#580601: Related to KMS in 2.6.32
Date: Sat, 22 May 2010 17:12:47 -0300
On Sat, May 22, 2010 at 4:21 PM, Julien Cristau <jcristau@debian.org> wrote:
> On Sat, May 22, 2010 at 21:09:16 +0200, Brice Goglin wrote:
>
>> On 22/05/2010 20:42, Fernando Lemos wrote:
>> > This problem seems to be related to KMS in 2.6.32:
>> >
>> > https://bugs.launchpad.net/ubuntu/+source/linux/+bug/549989
>> >
>> > (several similar reports can be found on other distro's bugtrackers)
>> >
>> > Either disabling KMS entirely (i915.modeset = 0 in /etc/defaults/grub)
>> > or disabling the powersave option (i915.powersave = 0) solves the
>> > problem. It looks like a kernel bug in 2.6.32.
>> >
>>
>> powersave is already disabled by default (see /etc/modprobe.d/i915-kms.conf)
>>
> err.  no it's not.

It really is not enabled by default:

fernando@vostro:~$ cat /etc/modprobe.d/i915-kms.conf
options i915 modeset=1

>
> Fernando, do you still have this issue with 2.6.34 (from experimental)?
> If it's fixed upstream it might be possible to backport the fix to
> squeeze's kernel.

I just installed 2.6.34 from experimental (added experimental to
sources.list and apt-get installed -t experimental
linux-image-2.6.34-1-amd64) and reverted my changes to
/etc/defaults/grub and re-ran update-grub to make sure. So I'm using
modeset=1 (it's in 915-kms.conf) and powersave is unchanged, it should
be enabled by default:

fernando@vostro:~$ uname -a
Linux vostro 2.6.34-1-amd64 #1 SMP Wed May 19 19:06:22 UTC 2010 x86_64 GNU/Linux
fernando@vostro:~$ dpkg -l | grep linux-image
ii  linux-image-2.6-amd64                 2.6.32+27
  Linux 2.6 for 64-bit PCs (meta-package)
ii  linux-image-2.6.32-5-amd64            2.6.32-13
  Linux 2.6.32 for 64-bit PCs
ii  linux-image-2.6.34-1-amd64            2.6.34-1~experimental.1
  Linux 2.6.34 for 64-bit PCs
fernando@vostro:~$

The screen flickered 4 times during the time I was composing this
e-mail, so I guess it's not fixed upstream yet.

If there's anything else I can test, please let me know.

Thanks,




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#580601; Package xserver-xorg-core. (Sun, 23 May 2010 00:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 23 May 2010 00:30:03 GMT) Full text and rfc822 format available.

Message #30 received at 580601@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Fernando Lemos <fernandotcl@gmail.com>, 580601@bugs.debian.org
Cc: Brice Goglin <Brice.Goglin@ens-lyon.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#580601: Related to KMS in 2.6.32
Date: Sun, 23 May 2010 02:27:27 +0200
[Message part 1 (text/plain, inline)]
reassign 580601 linux-2.6 2.6.32-12
found 580601 2.6.34-1~experimental.1
forwarded 580601 http://bugs.freedesktop.org/show_bug.cgi?id=27589
retitle 580601 [drm/i915] flickering and artifacts on (some?) gm45 with powersave
kthxbye

On Sat, May 22, 2010 at 17:12:47 -0300, Fernando Lemos wrote:

> The screen flickered 4 times during the time I was composing this
> e-mail, so I guess it's not fixed upstream yet.
> 
Oh well.  Thanks for testing anyway.

http://bugs.freedesktop.org/show_bug.cgi?id=27589 has 0 comment from
Intel and is a month old, I'll try and get Jesse to comment...

FWIW I've never seen this on my gm45 (dell latitude e4200).

> If there's anything else I can test, please let me know.
> 
Will do, thanks again.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'xserver-xorg-core' to 'linux-2.6'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 23 May 2010 00:30:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xorg-server/2:1.7.7-1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 23 May 2010 00:30:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-12. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 23 May 2010 00:30:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.34-1~experimental.1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 23 May 2010 00:30:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://bugs.freedesktop.org/show_bug.cgi?id=27589'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 23 May 2010 00:30:10 GMT) Full text and rfc822 format available.

Changed Bug title to '[drm/i915] flickering and artifacts on (some?) gm45 with powersave' from 'xserver-xorg-core: Flickering and artifacts after update, using intel driver' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 23 May 2010 00:30:11 GMT) Full text and rfc822 format available.

Forcibly Merged 580601 582877. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 13:21:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580601; Package linux-2.6. (Wed, 02 Jun 2010 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fernando Lemos <fernandotcl@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 02 Jun 2010 23:09:03 GMT) Full text and rfc822 format available.

Message #49 received at 580601@bugs.debian.org (full text, mbox):

From: Fernando Lemos <fernandotcl@gmail.com>
To: 580601@bugs.debian.org
Subject: Re: [drm/i915] flickering and artifacts on (some?) gm45 with powersave' from 'xserver-xorg-core: Flickering and artifacts after update, using intel driver
Date: Wed, 2 Jun 2010 20:04:21 -0300
Some days ago linux-image-2.6.32-14 was released, and one of the entries in
the changelog says:

  * Add drm changes from stable 2.6.33.5:
    - i915: Disable FBC on 915GM and 945GM (Closes: #582427)

I think that's the patch:

https://patchwork.kernel.org/patch/86999/

#582427 could be related to this issue. However, I just booted into 2.6.32-15
with powersave=1 commented out (this time I'm using modprobe.d instead of
defaults/grub, and I re-ran update-grub afterwards to make sure I really was
not setting powersave=0 or powersave=1) and the problem is still there (the
screen flickered several times in just a few minutes).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580601; Package linux-2.6. (Thu, 03 Jun 2010 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 03 Jun 2010 07:42:03 GMT) Full text and rfc822 format available.

Message #54 received at 580601@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Fernando Lemos <fernandotcl@gmail.com>, 580601@bugs.debian.org
Subject: Re: Bug#580601: [drm/i915] flickering and artifacts on (some?) gm45 with powersave' from 'xserver-xorg-core: Flickering and artifacts after update, using intel driver
Date: Thu, 3 Jun 2010 09:40:20 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jun  2, 2010 at 20:04:21 -0300, Fernando Lemos wrote:

> Some days ago linux-image-2.6.32-14 was released, and one of the entries in
> the changelog says:
> 
>   * Add drm changes from stable 2.6.33.5:
>     - i915: Disable FBC on 915GM and 945GM (Closes: #582427)
> 
> I think that's the patch:
> 
> https://patchwork.kernel.org/patch/86999/
> 
> #582427 could be related to this issue. However, I just booted into 2.6.32-15
> with powersave=1 commented out (this time I'm using modprobe.d instead of
> defaults/grub, and I re-ran update-grub afterwards to make sure I really was
> not setting powersave=0 or powersave=1) and the problem is still there (the
> screen flickered several times in just a few minutes).
> 
#582427 was about a different chip generation than this bug.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 12 Jul 2010 16:36:53 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 11 Oct 2010 16:42:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580601; Package linux-2.6. (Sat, 15 Jan 2011 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fernando Lemos <fernandotcl@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 15 Jan 2011 17:33:05 GMT) Full text and rfc822 format available.

Message #63 received at 580601@bugs.debian.org (full text, mbox):

From: Fernando Lemos <fernandotcl@gmail.com>
To: 580601@bugs.debian.org
Date: Sat, 15 Jan 2011 15:32:05 -0200
I can no longer reproduce this in 2.6.37. After the update to 2.6.37,
I commented out "options i915 powersave=0" from modprobe.d and used
update-initramfs -k all -u. That was more than a week ago (probably
two weeks ago), and so far I haven't seen any corruption at all. I've
been switching between 2.6.36 and 2.6.37 recently so that I can use
VirtualBox (linux-kbuild-2.6.37 isn't released yet, so I can't compile
virtualbox-ose-dkms for 2.6.37), and every time I'm booted into 2.6.36
I can see the corruption every now and then, as I described in this
report.

It looks like it's fixed in 2.6.37 for me, then. :-)

Thanks,




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 03 Feb 2011 17:34:19 GMT) Full text and rfc822 format available.

Forcibly Merged 580601 582877 601997. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 15 Feb 2011 03:03:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.36-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 13 Jun 2011 02:03:03 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Mon, 13 Jun 2011 02:03:07 GMT) Full text and rfc822 format available.

Notification sent to Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>:
Bug acknowledged by developer. (Mon, 13 Jun 2011 02:03:07 GMT) Full text and rfc822 format available.

Message #74 received at 580601-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Fernando Lemos <fernandotcl@gmail.com>
Cc: 580601-done@bugs.debian.org
Subject: Re: [drm/i915] flickering and artifacts on (some?) gm45 with powersave
Date: Sun, 12 Jun 2011 20:56:40 -0500
found 580601 linux-2.6/2.6.36-1~experimental.1
quit
Version: 2.6.37-1~experimental.1

Fernando Lemos wrote:

> I can no longer reproduce this in 2.6.37. After the update to 2.6.37,
> I commented out "options i915 powersave=0" from modprobe.d and used
> update-initramfs -k all -u. That was more than a week ago (probably
> two weeks ago), and so far I haven't seen any corruption at all. I've
> been switching between 2.6.36 and 2.6.37 recently so that I can use
> VirtualBox (linux-kbuild-2.6.37 isn't released yet, so I can't compile
> virtualbox-ose-dkms for 2.6.37), and every time I'm booted into 2.6.36
> I can see the corruption every now and then

Thanks!  Marking accordingly.

Maybe something in the "drm/i915: use GMBUS to manage i2c links"
series or something like "drm/i915: Disable FBC on Ironlake to save
1W" or "drm/i915: Fix updating FBC" did the trick.  If someone has
time to bisect the fix to track down what patches to backport, that
would be nice.




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Mon, 13 Jun 2011 02:03:08 GMT) Full text and rfc822 format available.

Notification sent to enrico <e.rossi@tecnobrain.com>:
Bug acknowledged by developer. (Mon, 13 Jun 2011 02:03:08 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Mon, 13 Jun 2011 02:03:09 GMT) Full text and rfc822 format available.

Notification sent to Russel Winder <russel@russel.org.uk>:
Bug acknowledged by developer. (Mon, 13 Jun 2011 02:03:09 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions linux-2.6/2.6.37-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 13 Jun 2011 10:15:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:28:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.